View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000747Ecere SDKbuildsystempublic2012-04-14 01:042013-08-07 03:33
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000747: make the project files (.epj) and makefiles compiler independent
Descriptionhave compiler configurations exported to .cf files
add a compiler configurations dir in global settings
default to configs for now which will place .cf files in <projectDir>/configs/

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000592)
jerome (administrator)
2012-04-17 03:19

- Not generating a separate Makefile when the non-default compiler is active
(0000593)
redj (administrator)
2012-04-17 21:38

should stuff like this be somehow moved to the compiler.cf file? I'd say yes...

         f.Printf("CFLAGS +=");
         if(gccCompiler)
         {
            f.Printf(" -fmessage-length=0");
            switch(GetOptimization(config))
            {
               case speed:
                  f.Printf(" -O2");
                  f.Printf(" -ffast-math");
                  break;
               case size:
                  f.Printf(" -Os");
                  break;
            }
            //if(compiler.targetPlatform.is32Bits)
               f.Printf(" -m32");
            //else if(compiler.targetPlatform.is64Bits)
            // f.Printf(" -m64");
            f.Printf(" $(FPIC)");
            //f.Printf(" -fpack-struct");
         }
(0000594)
jerome (administrator)
2012-04-17 23:33

I'd say not yet =)
(0000595)
redj (administrator)
2012-04-17 23:39
edited on: 2012-04-17 23:39

but that's still a yes, the yes I meant ;)

(0000628)
jerome (administrator)
2012-08-10 05:11

This has been finalized by:
https://github.com/ecere/sdk/commit/31acafb2ddfc7cf8253bfaea418552722f32b3e6 [^]

Now different compilers are guaranteed to generate identical makefiles.
Default configs dir if none specified in project or global settings is now <project dir>/configs

- Issue History
Date Modified Username Field Change
2012-04-14 01:04 redj New Issue
2012-04-14 01:04 redj Status new => assigned
2012-04-14 01:04 redj Assigned To => redj
2012-04-17 03:19 jerome Note Added: 0000592
2012-04-17 21:38 redj Note Added: 0000593
2012-04-17 23:33 jerome Note Added: 0000594
2012-04-17 23:39 redj Note Added: 0000595
2012-04-17 23:39 redj Note Edited: 0000595
2012-08-10 05:11 jerome Status assigned => resolved
2012-08-10 05:11 jerome Fixed in Version => 0.44.1 Android
2012-08-10 05:11 jerome Resolution open => fixed
2012-08-10 05:11 jerome Note Added: 0000628
2013-05-22 20:20 jerome Status resolved => closed
2013-05-22 20:20 jerome Fixed in Version 0.44.1 64 => 0.44.07
2013-08-07 03:33 jerome Fixed in Version 0.44.07 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker